Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class FieldMetaData

    java.lang.Object
      org.jboss.aop.metadata.FieldMetaData

All Implemented Interfaces:
  MetaDataResolver

public class FieldMetaData
extends Object
implements MetaDataResolver

Version:
  $Revision: 1.9 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.aop.metadata.MetaDataResolver
`EMPTY_TAG`

Constructor Summary
`FieldMetaData()`

Method Summary
`void` | `addFieldMetaData(Field field, Object tag, Object attr, Object value)`
`void` | `addFieldMetaData(Field field, Object tag, Object attr, Object value, PayloadKey type)`
`void` | `addFieldMetaData(String key, Object tag, Object attr, Object value)`
`void` | `addFieldMetaData(String key, Object tag, Object attr, Object value, PayloadKey type)`
`void` | `clear()`
`SimpleMetaData` | `getAllMetaData(Invocation invocation)` Get all metadata that belong with the context of this invocation
`Object` | `getFieldMetaData(Field field, Object tag, Object attr)`
`SimpleMetaData` | `getFieldMetaData(String field)`
`Object` | `getFieldMetaData(String fieldName, Object tag, Object attr)`
`Iterator` | `getFields()`
`boolean` | `hasTag(Field field, String tag)`
`boolean` | `hasTag(String tag)`
`boolean` | `hasTag(String fieldName, String tag)`
`Object` | `resolve(Invocation invocation, Object tag, Object attr)`
`void` | `tagField(Field field, Object tag)`
`void` | `tagField(String field, Object tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldMetaData

    public FieldMetaData()

Method Detail

### hasTag

    public boolean hasTag(String tag)

### hasTag

    public boolean hasTag(Field field,
                          String tag)

### hasTag

    public boolean hasTag(String fieldName,
                          String tag)

### tagField

    public void tagField(Field field,
                         Object tag)

### tagField

    public void tagField(String field,
                         Object tag)

### addFieldMetaData

    public void addFieldMetaData(Field field,
                                 Object tag,
                                 Object attr,
                                 Object value)

### addFieldMetaData

    public void addFieldMetaData(Field field,
                                 Object tag,
                                 Object attr,
                                 Object value,
                                 PayloadKey type)

### addFieldMetaData

    public void addFieldMetaData(String key,
                                 Object tag,
                                 Object attr,
                                 Object value)

### addFieldMetaData

    public void addFieldMetaData(String key,
                                 Object tag,
                                 Object attr,
                                 Object value,
                                 PayloadKey type)

### getFieldMetaData

    public Object getFieldMetaData(Field field,
                                   Object tag,
                                   Object attr)

### getFieldMetaData

    public Object getFieldMetaData(String fieldName,
                                   Object tag,
                                   Object attr)

### getFields

    public Iterator getFields()

### getFieldMetaData

    public SimpleMetaData getFieldMetaData(String field)

### clear

    public void clear()

### resolve

    public Object resolve(Invocation invocation,
                          Object tag,
                          Object attr)

  Specified by:
    `resolve` in interface `MetaDataResolver`

### getAllMetaData

    public SimpleMetaData getAllMetaData(Invocation invocation)

  Description copied from interface: `MetaDataResolver`
  Get all metadata that belong with the context of this invocation

  Specified by:
    `getAllMetaData` in interface `MetaDataResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.